Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Interface ErrorMessage

All Superinterfaces:
  TransactionMessage

All Known Implementing Classes:
  ErrorMessageImp

    public interface ErrorMessage

extends TransactionMessage

Copyright © 2002, Guy Pardon. All rights reserved. A message indicating a 2PC related error and carrying error information.

Field Summary
`static int` | `HEUR_COMMIT_ERROR` Constant indicating HeurCommitException.
`static int` | `HEUR_HAZARD_ERROR` Constant indicating HeurHazardException.
`static int` | `HEUR_MIXED_ERROR` Constant indicating HeurMixedException.
`static int` | `HEUR_ROLLBACK_ERROR` Constant indicating HeurRollbackException.
`static int` | `HEURISTIC_MAX` Constant defining the end of the range of heuristic exceptions.
`static int` | `HEURISTIC_MIN` Constant defining the beginning of the range of heuristic exceptions.
`static int` | `ROLLBACK_ERROR` Constant indicating RollbackException.
`static int` | `UNKNOWN_ERROR` Constant indicating that an unknown error has happened.

Fields inherited from interface com.atomikos.icatch.msg.TransactionMessage
`COMMIT_MESSAGE, ERROR_MESSAGE, FORGET_MESSAGE, FORMAT_SOAP, FORMAT_UNKNOWN, PREPARE_MESSAGE, PREPARED_MESSAGE, REGISTER_MESSAGE, REGISTERED_MESSAGE, REPLAY_MESSAGE, ROLLBACK_MESSAGE, STATE_MESSAGE`

Method Summary
`int` | `getErrorCode()` Get the error code.

Methods inherited from interface com.atomikos.icatch.msg.TransactionMessage
`getFormat, getMessageType, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI`

Field Detail

### ROLLBACK_ERROR

    static final int ROLLBACK_ERROR

  Constant indicating RollbackException. For certain protocols, e.g. BTP, such an error message may be translated by the transport into a CANCELLED message.

  See Also:
    Constant Field Values

### HEUR_HAZARD_ERROR

    static final int HEUR_HAZARD_ERROR

  Constant indicating HeurHazardException.

  See Also:
    Constant Field Values

### HEURISTIC_MIN

    static final int HEURISTIC_MIN

  Constant defining the beginning of the range of heuristic exceptions.

  See Also:
    Constant Field Values

### HEUR_MIXED_ERROR

    static final int HEUR_MIXED_ERROR

  Constant indicating HeurMixedException.

  See Also:
    Constant Field Values

### HEUR_COMMIT_ERROR

    static final int HEUR_COMMIT_ERROR

  Constant indicating HeurCommitException. For certain protocols, e.g. BTP, such an error message may be translated by the transport into a CONFIRMED message.

  See Also:
    Constant Field Values

### HEUR_ROLLBACK_ERROR

    static final int HEUR_ROLLBACK_ERROR

  Constant indicating HeurRollbackException. For certain protocols, e.g. BTP, such an error message may be translated by the transport into a CANCELLED message.

  See Also:
    Constant Field Values

### HEURISTIC_MAX

    static final int HEURISTIC_MAX

  Constant defining the end of the range of heuristic exceptions.

  See Also:
    Constant Field Values

### UNKNOWN_ERROR

    static final int UNKNOWN_ERROR

  Constant indicating that an unknown error has happened.

  See Also:
    Constant Field Values

Method Detail

### getErrorCode

    int getErrorCode()

  Get the error code.

  Returns:
    int One of the predefined error constants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.